summaryrefslogtreecommitdiff
path: root/packages
diff options
context:
space:
mode:
authorDamien Miller <djm@mindrot.org>1999-12-07 14:53:57 +1100
committerDamien Miller <djm@mindrot.org>1999-12-07 14:53:57 +1100
commit0c078c663312a31045b5a59196610e086bc8b4b2 (patch)
tree5b00df18aa2e177303c12e6615547bd4c5f05fc7 /packages
parentaae6c614da614eb10ced16505f35410671c95d9d (diff)
- sshd Redhat init script patch from Jim Knoble <jmknoble@pobox.com>
fixes compatability with 4.x and 5.x
Diffstat (limited to 'packages')
-rwxr-xr-xpackages/redhat/sshd.init12
1 files changed, 10 insertions, 2 deletions
diff --git a/packages/redhat/sshd.init b/packages/redhat/sshd.init
index 5e919489..a62866a2 100755
--- a/packages/redhat/sshd.init
+++ b/packages/redhat/sshd.init
@@ -21,8 +21,16 @@ case "$1" in
start)
echo -n "Starting sshd: "
if [ ! -f /var/run/sshd.pid ] ; then
- /usr/sbin/sshd && success "sshd startup" || failure "sshd startup"
- RETVAL=$?
+ case "`type -type success`" in
+ function)
+ /usr/sbin/sshd && success "sshd startup" || failure "sshd startup"
+ RETVAL=$?
+ ;;
+ *)
+ /usr/sbin/sshd && echo -n "sshd "
+ RETVAL=$?
+ ;;
+ esac
fi
echo
;;